Главная страница \ Разработки \ Программы \ Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Denwer Неофициальный апдейт, Apache 2.4 PHP7 MySQL 5.7Появилась необходимость быстро развернуть локальный сервер со свежими версиями ПО (для всякого рода Joomla, WordPress и прочих Drupal), как подсказывала память - есть отличное решение Денвер. Но оказалось, что автор уже долгое время не поддерживает проект и не выпускает обновления для него. Простым же путём (скачиванием и заменой старых дистрибутивов на новые) решить задачу не получилось. Т.к. был выбор или настраивать систему с нуля или попытаться обновить существующую систему решено было обновить существующую. Для этого пришлось интегрировать в сборку VC2015 Redistributable, а также, заодно, оставить многие нужные библиотеки. С сегодняшними скоростями подключения к сети интернет и размерами флешек/жёстких дисков проблема нехватки места уже так остро не стоит.

К сожалению, пришлось практически полностью перекроить существующий пакет Денвера, поэтому фактически установка и настройка происходят по принципу полной замены базовой установки.

В текущей сборке представлено следующее ПО:
Apache 2.4.23 (со всеми модулями)
PHP 7.0.10 (со всеми расширениями + xdebug)
MySQL 5.7.15
PhpMyAdmin 4.6.4

Скачать обновление Denwer 3

Важно!

В связи с участившимися вопросами считаю необходимым дать пояснения.

Данное обновление содержит новую версию PHP 7 в которой произошли значительные изменения в составе предоставляемых возможностей.

Наиболее важно для многих - с данной версии PHP стали отсутствовать некоторые функции, особенно обратите внимание на отсутствие mysql_*, mssql_*.

Поэтому перед обновлением крайне рекомендую ознакомиться с разделом о миграции с PHP 5.6.* на PHP 7.0.*.

Видеоинструкция по установке обновлённого пакета

Вопросы? Предложения?

Landgraph [01.11.2016]
Ответил на почту, но на всякий случай продублирую тут:
Или в php.ini ставить error_reporting = E_ALL & ~E_DEPRECATED
или переименовать конструктор (совпадающий с именем класса) в __contruct
Лера [01.11.2016]
Спасибо! многое стало работать. в Джумле такая проблема появилась в доп категориях К2, помогите решить: Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgK2k2additonalcategories has a deprecated constructor in Z:\home\test1.ru\www\plugins\k2\k2additonalcategories\k2additonalcategories.php on line 20
[1]  [2]  [3]  [4]  [5] 
Powered by Elise